- name: Laravel docker app | Login into private registry
  docker_login:
    registry: "{{ laravel_app_registry.url }}"
    username: "{{ laravel_app_registry.user }}"
    password: "{{ laravel_app_registry.password }}"
  when: laravel_app_registry is defined and laravel_app_registry

- name: Laravel docker app | Run containers
  docker_compose:
    pull: yes
    project_name: "{{ laravel_app_docker_project }}"
    state: present
    project_src: "{{ laravel_app_project_path }}"
    recreate: always
  register: output
  when: laravel_app_docker_compose_up

- name: Laravel docker app | Run commands in container
  command: "docker-compose run --rm {{ laravel_app_container_name }} {{ item }}"
  args:
    chdir: "{{ laravel_app_project_path }}"
  loop:
    - "cp .env.example .env"
    - "composer install --ignore-platform-reqs"
    - "php artisan key:generate"
  changed_when: false
  failed_when: false
  when: laravel_app_run_init_script